package uebung10.logo;

public class Sequence implements Stmt {

    public final Stmt[] seq;

    public Sequence(Stmt... seq) {
        this.seq = seq.clone();
    }

    @Override
    public <T> T accept(Visitor<T> visitor) {
        return visitor.visit(this);
    }
}
